.ava{
    width: 40px;
    border-radius: 20px;
    margin-left: 10px;
}
.money-icon{
    width: 21px;
    height: 21px;
    margin-top: 5px;
}
#header-game{
    display: flex;
    justify-content: space-between;
    padding-left: 3px;
    padding-right: 5px;
    background-color: #f0f8ff30;
    border-radius: 5px;
}
#header-game-left{
    display: flex;
    align-items: center;
    padding-left: 10px;
}
#header-game-right{
    display: flex;
    align-items: center;
    padding-right: 10px;
}
#to-menu-button{
    padding: 5px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
}
#to-menu-button:hover{
    background: none;
}
.my-nickname{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: sans-serif;
    text-shadow: 1px 1px #8080809c;
}
#my-nickname-game{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: sans-serif;
    text-shadow: 1px 1px #8080809c;
}
.my-money{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: system-ui;
    font-weight: 600;
    text-shadow: 1px 1px #8080809c;
}
#my-money-game{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: system-ui;
    font-weight: 600;
    text-shadow: 1px 1px #8080809c;
}
.player-block{
    width: 100px;
    height: 100px;
    /* border: 1px dashed gray; */
    display: flex;
    justify-content: center;
    align-items: center;
    /* flex-direction: column; */
}
.player-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#table{
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    margin-top: 15px;
    margin-bottom: 17px;
}
#table-block{
    height: 300px;
    border: 5px solid #831e027a;
    border-radius: 1px;
    background-color: #3a7d42;
    max-width: 700px;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    background-image: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.05) 0px, rgba(0, 0, 0, 0.05) 1px, transparent 1px, transparent 12px), linear-gradient(135deg, #097f2f12, #2b824c, #1f6939);
}
#table-top{
    display: flex;
    justify-content: space-between;
}
#table-game{
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}
#table-bottom{
    display: flex;
    justify-content: space-between;
}
#bottom-game{
    /* min-height: 300px; */
    /* border: 1px dashed red; */
    display: flex;
    justify-content: center;
    align-items: flex-start;
}
#game-page{
    display: flex;
    justify-content: center;
    /* background-image: url('../assets/bg1.png'); */
}
#game-scene-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 1200px;
    width: 100%;
}
.card-deck{
    width: 50px;
    transform: rotate(90deg);
    margin-left: -15px;
}
.card-2-side{
    width: 50px;
    position: relative;
    z-index: 2;
    /* background-image: url('./assets/card-2-side.png'); */
}
.deck-block{
    display: inline-block;
    background-image: url(../assets/card-2-side.png);
    background-size: cover;
    width: 50px;
    height: 70px;
    position: relative;
    z-index: 2;
    padding-top: 25px;
}
#deck-cards-count{
    text-align: center;
    font-family: monospace;
    font-size: 20px;
    color: #004161;
}
.deck-cards-count-style{
    background-color: #ffffff;
    border-radius: 7px;
}
#deck{
    display: flex;
    min-height: 70px;
}
.card{
    width: 50px;
}
.card-stack .card{
    margin-bottom: -15px; 
    position: relative;
    z-index: 1;
}
.second-card{
    position: relative;
    z-index: 2;
}
.card-stack{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
#cards-on-table-block{
    padding-top: 10px;
    display: flex;
    padding-left: 5px;
}
.card-stack{
    margin-left: -5px;
}
.cards-in-hands{
    padding-left: 10px;
    min-height: 142px;
}
.card-button img{
    margin-left: -75px;
    display: inline-block;
    width: 90px;
}
.card-button{
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    display: inline-block;
}
.card-button:hover img {
  transform: scale(1.05);
  transition: transform 0.2s ease;
  filter: drop-shadow(0 4px 8px rgba(0,0,0,0.2));
}
.card-button:active img {
  transform: scale(0.98);
  filter: drop-shadow(0 2px 4px rgba(0,0,0,0.2));
}
img.inactive:hover {
  transform: scale(1) !important;
  filter: none !important;
  transition: none !important;
}
.img-inactive {
  filter: grayscale(100%);
  opacity: 0.5;
}
.player-ava{
    display: block;
    width: 100%;
}
.avatar-container {
    position: relative;
    overflow: hidden;
    width: 100px;
    border-radius: 15px;
}
.player-nickname{
    margin-top: 5px;
    font-weight: bold;
    color: #373793;
    font-family: sans-serif;
    font-size: 13px;
}
.player-cards{
    padding-left: 18px;
    margin: -10px;
    min-height: 32px;
    position: relative;
    z-index: 2;
    margin-top: -16px;
}
.player-cards img{
    width: 20px;
    margin-left: -18px;
}
.avatar-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(255 236 143 / 50%);
    /* Это свойство будет менять JS */
    mask: conic-gradient(black 0deg, transparent 0deg);
    -webkit-mask: conic-gradient(black 0deg, transparent 0deg);
    pointer-events: none;  /* чтобы не мешало кликать */
}
#command-take{
    
}
#commands-block button {
    padding: 8px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    font-size: 17px;
    cursor: pointer;
    display: none;
}
.sit-button{
    padding: 15px;
    border-radius: 17px;
    border: 1px solid #8080806b;
    font-size: 17px;
    cursor: pointer;
}
.sit-button:hover{
    background-color: #ffffff4a;
}
#commands-block button:hover {
    background: #b7bfb5;
}
#commands-block{
    /* margin-top: 35px; */
    height: 60px;
}
.bubble{
    position: absolute;
    border: 1px solid black;
    background-color: #ffffffba;
    width: 110px;
    margin-top: 170px;
    height: 50px;
    border-radius: 15px 15px 15px 15px;
    padding-top: 3px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 90;
}
.bubble button{
    padding: 2px 6px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    font-size: 14px;
    cursor: pointer;
}

.bubble p{
    font-family: sans-serif;
    font-size: 14px;
}